Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 235030 - kexec fails on PlayStation 3
Summary: kexec fails on PlayStation 3
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: kexec-tools
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Neil Horman
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks: 235611
TreeView+ depends on / blocked
 
Reported: 2007-04-03 14:14 UTC by David Woodhouse
Modified: 2007-11-30 22:12 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-04-14 19:56:59 UTC


Attachments (Terms of Use)
Sony patch for rmo_top. (deleted)
2007-04-03 14:14 UTC, David Woodhouse
no flags Details | Diff

Description David Woodhouse 2007-04-03 14:14:07 UTC
We need to limit rmo_top to 0x07c00000 on PS3. Sony's version of kexec-tools, at
 http://www.kernel.org/pub/linux/kernel/people/geoff/cell/ps3-linux-distro-kit-20061208/src/kexec-tools-1.101-4.src.rpm
  
 has the attached patch. (There are a couple of other alignment-related patches
in there too), which may warrant investigation).

Shouldn't the running kernel export this information directly, instead of making
us guess? Surely _it_ knows?

Comment 1 David Woodhouse 2007-04-03 14:14:07 UTC
Created attachment 151564 [details]
Sony patch for rmo_top.

Comment 2 Neil Horman 2007-04-10 15:12:05 UTC
fixed in -66.fc7.  Thanks!

Since we've ripped out the platform determination code (since its not overly
reliable), I'm just going to reduce the max rmo_top value to 0x7c000000UL for
now.  Being rawhide, If that has any adverse affects on anything else, we'll
catch it early and be able to come up with something better.




Note You need to log in before you can comment on or make changes to this bug.